Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.matlab
Class MatlabSimulationEngine

    |
    +--biouml.plugins.simulation.SimulationEngine
      |
      +--biouml.plugins.matlab.MatlabSimulationEngine

public class MatlabSimulationEngine
extends SimulationEngine

Inner classes inherited from class biouml.plugins.simulation.SimulationEngine
`SimulationEngine.VariableType`

Field Summary
`final static int` | `COMMENT_INDENT`
`final static String` | `CURRENT_TIME`
`final static String` | `DEFAULT_MATLAB_WORK_DIR`
`final static String` | `MATLAB_PATH`
`final static int` | `MAX_MATLAB_ID_LEN`

Fields inherited from class biouml.plugins.simulation.SimulationEngine
`DEFAULT_ABSOLUTE_TOLERANCE, DEFAULT_RELATIVE_TOLERANCE, needToShowPlot, srcDir`

Constructor Summary
`MatlabSimulationEngine()`

Method Summary
`void` | `clearContext()`
`void` | `closeMatlab()`
`void` | `fillSimulationResult(SimulationResult result)`
`File[]` | `generateModel()`
`String` | `generateVariableCodeName(int n)`
`double` | `getAbsTolerance()`
`Formatter` | `getFormatter()`
`static String` | `getMainFunctionName(String diagramName)`
`double` | `getRelTolerance()`
`String` | `normalize(String name)`
`void` | `setAbsTolerance(double absTolerance)`
`void` | `setRelTolerance(double relTolerance)`
`String` | `simulate(File[] files)`
`void` | `writeAssignmentImpl(String variable, String expression, Role role, boolean declare)`
`void` | `writeComment(String comment)`

Methods inherited from class biouml.plugins.simulation.SimulationEngine
`containsDelays, error, error, error, getCompletionTime, getDiagram, getExecutableModel, getInitialTime, getNeedToShowPlot, getOutputDir, getQualifiedName, getResourceBundle, getResourceString, getSolverName, getTimeIncrement, setCompletionTime, setDiagram, setInitialTime, setNeedToShowPlot, setOutputDir, setSolverName, setTimeIncrement, warn, writeAssignment, writeFile`

Field Detail

### COMMENT_INDENT

    public final static int COMMENT_INDENT

### CURRENT_TIME

    public final static String CURRENT_TIME

### DEFAULT_MATLAB_WORK_DIR

    public final static String DEFAULT_MATLAB_WORK_DIR

### MATLAB_PATH

    public final static String MATLAB_PATH

### MAX_MATLAB_ID_LEN

    public final static int MAX_MATLAB_ID_LEN

Constructor Detail

### MatlabSimulationEngine

    public MatlabSimulationEngine()

Method Detail

### clearContext

    public void clearContext()
                       throws java.lang.Exception

### closeMatlab

    public void closeMatlab()

### fillSimulationResult

    public void fillSimulationResult(SimulationResult result)
                               throws java.lang.Exception

### generateModel

    public File[] generateModel()
                          throws java.lang.Exception

### generateVariableCodeName

    public String generateVariableCodeName(int n)

### getAbsTolerance

    public double getAbsTolerance()

### getFormatter

    public Formatter getFormatter()

### getMainFunctionName

    public static String getMainFunctionName(String diagramName)

### getRelTolerance

    public double getRelTolerance()

### normalize

    public String normalize(String name)

### setAbsTolerance

    public void setAbsTolerance(double absTolerance)

### setRelTolerance

    public void setRelTolerance(double relTolerance)

### simulate

    public String simulate(File[] files)
                     throws java.lang.Exception

### writeAssignmentImpl

    public void writeAssignmentImpl(String variable, String expression, Role role, boolean declare)

### writeComment

    public void writeComment(String comment)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.Map

to Class biouml.plugins.matlab.JMatLinkInterface

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM